Subject: bug#48307: [External] : bug#48307: Feature request: provide default keybindings to change the font size in all windows

From: Clément Pit-Claudel <[email-masked]>
Date: Sun, 9 May 2021 18:30:14 -0400

On 5/9/21 12:58 PM, Eli Zaretskii wrote:
> Of course writing a wrapper for that command whcih is bound to mouse
> wheel with some modifier should be trivial if that's the main issue
> here; patches welcome.  I thought the request was for a non-existing
> feature, so I pointed out that it already exists.

Sorry, it sounds like the original request was unclear.  Drew's description is pretty good.  The request is specifically for a new keybinding; it may well be that the code that goes behind it is trivial.

I'd love to provide a patch, but I have no idea what it should say.   I've counted 5 different implementations of the functionality (6 now with Gregory's).  All are acceptable, and I don't know enough about Emacs' fonts to judge which one is best, or whether they're all equally reasonable (for example Gregory uses set-face-attribute, and Steve uses face-spec-set in default-text-scale.el).

On 5/9/21 12:08 PM, Eli Zaretskii wrote:
> In fact, given that we already have that menu item, it could be argued we
> already have the feature implemented.

Almost, yes.  What we're missing are commands for incrementing and decrementing the size interactively; we only menu-set-font.  It's indeed what I recommend that people use when they ask. It's pretty good, even though sometimes (depending on how the user configured fonts in the first place) it starts with the wrong size and font, so you have to scroll through the list.  

Sorry for not mentioning menu-set-font explicitly in the original message.